Last Comment Bug 580161 - Add .<Qatar> to IDN whitelist
: Add .<Qatar> to IDN whitelist
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 20:57 PDT by Gervase Markham [:gerv]
Modified: 2011-10-25 06:56 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.14-fixed
.17-fixed


Attachments
IDN String Language table ( character list ) (28.50 KB, application/msword)
2010-09-23 04:30 PDT, Mohamed El Bashir
no flags Details
Patch v.1 (1.03 KB, patch)
2010-10-25 05:56 PDT, Gervase Markham [:gerv]
mbeltzner: approval2.0+
dveditz: approval1.9.2.14+
dveditz: approval1.9.1.17+
Details | Diff | Review

Description Gervase Markham [:gerv] 2010-07-19 20:57:27 PDT
Dear Gervase,

Hope you are fine and well, I have got your contacts from Dr.Al-Zoman, Director of Saudi NIC ( IDN ccTLD manager of Saudi ).

Qatar got approval for the IDN string .قطر (xn--wgbl6a ) which is outlined in ICANN on the bellow link :

http://www.icann.org/en/topics/idn/fast-track/string-evaluation-completion-q-en.htm 

As you know that a friendly user experience in using IDNs is very important for the successes of IDN implementation, Firefox Is an important browser and we would like Qatar’s IDN string to be approved on your TLD white list and distributed in your future Firefox updates .

Appreciate your support in this issue .. 

Best Regards,

Mohamed El Bashir
Comment 1 Gervase Markham [:gerv] 2010-09-13 08:16:08 PDT
I have emailed Mohamed El Bashir to get info on the character list used.

Gerv
Comment 2 Mohamed El Bashir 2010-09-23 04:27:33 PDT
Hi Gerv, 

For IDN string .قطر (xn--wgbl6a ) we are using Arabic Domain Names Project Language table, which is also used by Saudi Arabia, Egypt and Emirates IDN TLDs .
http://www.iana.org/domains/idn-tables/tables/sa_ar_1.0.html 

Variants table for Arabic language is also the one used by the same above entities . http://www.iana.org/domains/idn-tables/tables/xn--mgberp4a5d4ar_ar_1.0.html

A dedicated IDN string .قطر (xn--wgbl6a ) registry site with registration policies is currently under development and well be published later .
Comment 3 Mohamed El Bashir 2010-09-23 04:30:11 PDT
Created attachment 477884 [details]
IDN String Language table ( character list )

IDN String Language table ( character list )
Comment 4 Gervase Markham [:gerv] 2010-09-23 05:37:32 PDT
OK, that's great :-)

Gerv
Comment 5 Mohamed El Bashir 2010-10-21 05:37:29 PDT
Grev. 

any updates on when the it will be included on tld white list
Comment 6 Gervase Markham [:gerv] 2010-10-25 05:56:32 PDT
Created attachment 485712 [details] [diff] [review]
Patch v.1

Here is a patch to implement this policy update. Requesting approval.

Gerv
Comment 7 Mike Beltzner [:beltzner, not reading bugmail] 2010-10-25 06:13:31 PDT
Comment on attachment 485712 [details] [diff] [review]
Patch v.1

a=beltzner
Comment 8 Gervase Markham [:gerv] 2010-10-25 07:13:33 PDT
Checked in on trunk.
http://hg.mozilla.org/mozilla-central/rev/9ed0dffe2c81

Gerv
Comment 9 Gervase Markham [:gerv] 2010-12-09 14:13:45 PST
Comment on attachment 485712 [details] [diff] [review]
Patch v.1

Requesting branch approval.

Gerv
Comment 10 Daniel Veditz [:dveditz] 2010-12-10 10:22:39 PST
Comment on attachment 485712 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.14 and 1.9.1.17, a=dveditz for release-drivers
Comment 12 Gervase Markham [:gerv] 2011-03-08 09:34:39 PST
(In reply to comment #2)
> A dedicated IDN string .قطر (xn--wgbl6a ) registry site with registration
> policies is currently under development and well be published later .

Mohamed: has this yet happened? 

Gerv
Comment 13 Mohamed El Bashir 2011-03-08 21:45:15 PST
The registry web site on its final stages to be released very soon, the policies published in Arabic and English .

Can be checked at the time being at : http://ictdrdev.forumone.com/policies 

Mohamed
Comment 14 Gervase Markham [:gerv] 2011-10-16 02:46:25 PDT
Mohamed: can you give us the final URL for these policies, please?

Gerv
Comment 15 Mohamed El Bashir 2011-10-16 05:02:42 PDT
The URL is : www.domains.qa
Comment 16 Gervase Markham [:gerv] 2011-10-25 04:09:29 PDT
Mohamed: more specifically, I am looking for a direct URL to your IDN policies, including a permitted character list. Ideally in English but, if it is not available in English, then in Arabic. Could you perhaps give me such a URL?

Thanks,

Gerv
Comment 17 Mohamed El Bashir 2011-10-25 06:56:10 PDT
This is a direct link to our registration policieis page in English : http://domains.qa/en/policies 

The bellow is a direct link to the Domain Registration Policy Document which have reference to Arabic language table :
http://domains.qa/sites/default/files/Qatar%20Domains%20Registry-Domain%20Name%20Registration%20Policy_0.pdf

Note You need to log in before you can comment on or make changes to this bug.